from .vanilla import ConformationEpsNetwork
from .dualenc import DualEncoderEpsNetwork

def get_model(config):
    if config.network == 'dualenc':
        return DualEncoderEpsNetwork(config)
    elif config.network == 'vanilla':
        return ConformationEpsNetwork(config)
    else:
        raise NotImplementedError('Unknown network: %s' % config.network)
